package com.zehong.system.service;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * @author geng
 * 政府监管平台信息
 */
public interface GovernmentSupervisionInfoService {

    /**
     * 获取行业专家档案
     * @param map 入参
     * @return
     * @throws Exception
     */
    JSONObject getProfessorInfo(Map<String,Object> map) throws Exception;

    /**
     * 获取专家行为档案
     * @param map 入参
     * @return
     * @throws Exception
     */
    JSONObject getBehaviour (Map<String,Object> map) throws Exception;

    /**
     * 获取检查任务
     * @param map 入参
     * @return
     * @throws Exception
     */
    JSONObject getTask (Map<String,Object> map) throws Exception;

}
